Pearl
Get Ongoing Calls
Returns the number of active calls currently in progress for the specified Pearl. If the Pearl has inbound configurations, it also returns the number of calls currently in queue.
GET
/
v2
/
Pearl
/
{pearlId}
/
OngoingCalls
Get Ongoing Calls
curl --request GET \
--url https://api.nlpearl.ai/v2/Pearl/{pearlId}/OngoingCalls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nlpearl.ai/v2/Pearl/{pearlId}/OngoingCalls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nlpearl.ai/v2/Pearl/{pearlId}/OngoingCalls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalOngoingCalls": 123,
"totalOnQueue": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
bearer_authoauth2
Specify the authorization token in the form AccountId:SecretKey, or an OAuth 2.0 access token.
For more information, check out the Authorization Guide and the OAuth 2.0 Guide.
Path Parameters
⌘I
Get Ongoing Calls

